com.genesyslab.wfm7.API.service.config761

## Class CfgReportTaskDetails

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgReportTaskDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskDetails
      extends java.lang.Object
      implements java.io.Serializable

  CfgReportTaskDetails is used to specify details level of Report Task information request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `infoType` Details level (`ECfgInfoType`) See also: `CfgReportTask`, `CfgReportTaskShort`
    `private boolean` | `provideUserInfo` Specifies whether to provide corresponding `CfgUserShort` information or not

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskDetails()`
    `CfgReportTaskDetails(int infoType, boolean provideUserInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInfoType()` Gets the infoType value for this CfgReportTaskDetails.
    `boolean` | `isProvideUserInfo()` Gets the provideUserInfo value for this CfgReportTaskDetails.
    `void` | `setInfoType(int infoType)` Sets the infoType value for this CfgReportTaskDetails.
    `void` | `setProvideUserInfo(boolean provideUserInfo)` Sets the provideUserInfo value for this CfgReportTaskDetails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infoType

          private int infoType

      Details level (`ECfgInfoType`) See also: `CfgReportTask`, `CfgReportTaskShort`

    - #### provideUserInfo

          private boolean provideUserInfo

      Specifies whether to provide corresponding `CfgUserShort` information or not

  - ### Constructor Detail

    - #### CfgReportTaskDetails

          public CfgReportTaskDetails()

    - #### CfgReportTaskDetails

          public CfgReportTaskDetails(int infoType,
                              boolean provideUserInfo)

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the infoType value for this CfgReportTaskDetails.
      Returns:
        infoType

    - #### setInfoType

          public void setInfoType(int infoType)

      Sets the infoType value for this CfgReportTaskDetails.
      Parameters:
        `infoType` -

    - #### isProvideUserInfo

          public boolean isProvideUserInfo()

      Gets the provideUserInfo value for this CfgReportTaskDetails.
      Returns:
        provideUserInfo

    - #### setProvideUserInfo

          public void setProvideUserInfo(boolean provideUserInfo)

      Sets the provideUserInfo value for this CfgReportTaskDetails.
      Parameters:
        `provideUserInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.